3dfxzone.it ~ SFFT Drivers ~ MesaFX ~ 3D-Analyze ~ 3dfx Headlines ~ 3dfx Cards ~
Home | Profile | Register | Active Topics | Members | Search | GoogleSearch | FAQ | 3dfxzone.it
Username:
Password:
Save Password
Forgot your Password?

 Index
 3dfx Hardware & Software
 General Discussions
 Voodoo5 and Voodoo1 on the same system?
 New Topic  Reply to Topic
 Print topic

Author Previous Topic Topic Next Topic  

Kreshna Aryaguna Nurzaman
Average

Indonesia
121 Posts

Posted - 10/01/2008 :  16:29:07  Show Profile  Visit Kreshna Aryaguna Nurzaman's Homepage  Reply with Quote
I don't know why, but many old games with such excellent gameplay happen to be GLide games, like EF 2000V2.0, Deus Ex, Archimedean Dynasty, Jane's Longbow 2, and Dungeon Keeper. That's why I keep a legacy system with Voodoo5 5500 on board --to play those GLide games with FSAA.

Alas, there are pesky 3dfx-supporting games that simply need Voodoo1 card to play. It seems that they're hard-coded to use Voodoo1 card instead of using GLide.

Thus, what if I add a Voodoo1 card to my system, putting Voodoo5 and Voodoo1 together on the same system? I imagine those "Voodoo1-only games" will run now, but what happens to GLide games that runs on Voodoo5? Will they run separately (and simultaneously) on both cards, or will they cause error?

Anyone has ever tried this stuff before? Thanks.

VOODOO LIVES FOREVAH!!

Delenn is the hottest sci-fi character ever.

The Galactic Empire vs the Borg vs the Goa'ulds vs the A'millans vs the Trollish Imperium vs the Ancient Guardians
The Phoenix War


Never buy a LiteOn CD Writer. Ever.

ps47
Moderator

Slovakia
1461 Posts

Posted - 11/01/2008 :  11:39:48  Show Profile  Visit ps47's Homepage  Send ps47 an AOL message  Send ps47 an ICQ Message  Reply with Quote
this will work.just install the voodoo1 driver and dont overwrite the voodoo5 glides (and opengl) in your system folder.if you need to run a game on the voodoo1,drop the voodoo1 glides to the game folder and it should run fine.

I have a similar test machine,voodoo1 running with a voodoo3,no problems or conflicts.

The 3Dfx Helppage and Game Guide / Voodoo3/4/5 enviromental variables
Go to Top of Page

Kreshna Aryaguna Nurzaman
Average

Indonesia
121 Posts

Posted - 11/01/2008 :  16:45:21  Show Profile  Visit Kreshna Aryaguna Nurzaman's Homepage  Reply with Quote
quote:
Originally posted by ps47

this will work.just install the voodoo1 driver and dont overwrite the voodoo5 glides (and opengl) in your system folder.if you need to run a game on the voodoo1,drop the voodoo1 glides to the game folder and it should run fine.

I have a similar test machine,voodoo1 running with a voodoo3,no problems or conflicts.



I see! Many many thanks!

I suppose that should also work with Voodoo5 and Voodoo2?


VOODOO LIVES FOREVAH!!

Delenn is the hottest sci-fi character ever.

The Galactic Empire vs the Borg vs the Goa'ulds vs the A'millans vs the Trollish Imperium vs the Ancient Guardians
The Phoenix War


Never buy a LiteOn CD Writer. Ever.
Go to Top of Page

ps47
Moderator

Slovakia
1461 Posts

Posted - 11/01/2008 :  22:55:09  Show Profile  Visit ps47's Homepage  Send ps47 an AOL message  Send ps47 an ICQ Message  Reply with Quote
yeah.basically,the only 3dfx cards that dont like each other are voodoo3 and voodoo2 under win9x.D3D cores collide,if memory serves.

for the rest of the cards,its just a matter of managing glides.

The 3Dfx Helppage and Game Guide / Voodoo3/4/5 enviromental variables
Go to Top of Page

Kreshna Aryaguna Nurzaman
Average

Indonesia
121 Posts

Posted - 12/01/2008 :  05:36:18  Show Profile  Visit Kreshna Aryaguna Nurzaman's Homepage  Reply with Quote
quote:
Originally posted by ps47

for the rest of the cards,its just a matter of managing glides.



I see. Am I correct if saying that the game will try to find the GLide on its own folder first, and if it doesn't find it, then it will search the system folder for GLide?

Well you said in order to use Voodoo1 for a GLide game, then I need to copy Voodoo1 GLide to the game's own folder. Now, if I want to use Voodoo5 again for that game, then I can do either of the following, am I correct?
(1) delete the Voodoo1 GLide from the game's own folder so that the game will look at the system folder and find the Voodoo5 GLide.
OR
(2) delete the Voodoo1 GLide from the game's folder and copy the Voodoo5 GLide to the folder.

Am I correct so far?


Also, which version is Voodoo1 GLide? I suppose glide2x.dll and glide2x.ovl are Voodoo5 GLide, while glide1x.dll and .ovl is only for Voodoo1 (ergo, you cannot use glide1x for Voodoo2 or Voodoo3), am I correct?




VOODOO LIVES FOREVAH!!

Delenn is the hottest sci-fi character ever.

The Galactic Empire vs the Borg vs the Goa'ulds vs the A'millans vs the Trollish Imperium vs the Ancient Guardians
The Phoenix War


Never buy a LiteOn CD Writer. Ever.
Go to Top of Page

ps47
Moderator

Slovakia
1461 Posts

Posted - 12/01/2008 :  12:11:37  Show Profile  Visit ps47's Homepage  Send ps47 an AOL message  Send ps47 an ICQ Message  Reply with Quote
correct except for this:
quote:
Originally posted by Kreshna Aryaguna Nurzaman

Also, which version is Voodoo1 GLide? I suppose glide2x.dll and glide2x.ovl are Voodoo5 GLide, while glide1x.dll and .ovl is only for Voodoo1 (ergo, you cannot use glide1x for Voodoo2 or Voodoo3)..

voodoo1 glides are named glide2x and glide3x as well (some drivers include the first version of glide too,named glide.dll).the ovl files are dos drivers,I think.

The 3Dfx Helppage and Game Guide / Voodoo3/4/5 enviromental variables
Go to Top of Page

Kreshna Aryaguna Nurzaman
Average

Indonesia
121 Posts

Posted - 12/01/2008 :  18:49:11  Show Profile  Visit Kreshna Aryaguna Nurzaman's Homepage  Reply with Quote
quote:
Originally posted by ps47

correct except for this:
quote:
Originally posted by Kreshna Aryaguna Nurzaman

Also, which version is Voodoo1 GLide? I suppose glide2x.dll and glide2x.ovl are Voodoo5 GLide, while glide1x.dll and .ovl is only for Voodoo1 (ergo, you cannot use glide1x for Voodoo2 or Voodoo3)..

voodoo1 glides are named glide2x and glide3x as well (some drivers include the first version of glide too,named glide.dll).the ovl files are dos drivers,I think.



I see. How do we tell what GLide version is for Voodoo1, then? Maybe the minor version number? (the "x")

EDIT: I think I should take a look at driver installation package to tell the difference. The file glide2x.dll that comes with Voodoo1 driver installation package is 211kb, while glide2x.dll that comes with Amigamerlin installation package (Voodoo5) is 235kb.

Also, the version of each file is visible when looking at the files in Tile mode (Windows Explorer). The glide2x.dll that comes with Voodoo1 drivers is version 2.48.0, while the one that comes with Amigamerlin (Voodoo5) is version 2.60.0.

Am I being correct so far?



By the way, you said we're supposed to put the Voodoo1 GLide on the game's own folder to play the game with Voodoo1 instead of Voodoo5. Now, if I want to revert to Voodoo5, what should I do? Should I delete the Voodoo1 GLide from the game folder (so that the game will look for the system folder), or should I replace the Voodoo1 GLide with later version of GLide?

VOODOO LIVES FOREVAH!!

Delenn is the hottest sci-fi character ever.

The Galactic Empire vs the Borg vs the Goa'ulds vs the A'millans vs the Trollish Imperium vs the Ancient Guardians
The Phoenix War


Never buy a LiteOn CD Writer. Ever.

Edited by - Kreshna Aryaguna Nurzaman on 12/01/2008 19:27:45
Go to Top of Page

ps47
Moderator

Slovakia
1461 Posts

Posted - 13/01/2008 :  00:00:09  Show Profile  Visit ps47's Homepage  Send ps47 an AOL message  Send ps47 an ICQ Message  Reply with Quote
glide version has nothing to do with this (you should use the most recent glide for each card).each voodoo card has its own set of glide drivers-voodoo1 uses voodoo1 glide,rush uses rush glide,voodoo2 uses voodoo2 glide etc..voodoo1 glide will not work on voodoo2,voodoo2 glide will not work on a voodoo3 and so on.and each glide can have a different version (you should use the most recent version of appropriate glide for each card).if you do a rightmouseclick on the glide dll file,choose properties/version/graphics subsystem,and you will have a clear description of the compatible card(s).
quote:
Originally posted by Kreshna Aryaguna Nurzaman

By the way, you said we're supposed to put the Voodoo1 GLide on the game's own folder to play the game with Voodoo1 instead of Voodoo5. Now, if I want to revert to Voodoo5, what should I do? Should I delete the Voodoo1 GLide from the game folder (so that the game will look for the system folder), or should I replace the Voodoo1 GLide with later version of GLide?


both will work,your choice.

The 3Dfx Helppage and Game Guide / Voodoo3/4/5 enviromental variables
Go to Top of Page

Kreshna Aryaguna Nurzaman
Average

Indonesia
121 Posts

Posted - 13/01/2008 :  02:59:51  Show Profile  Visit Kreshna Aryaguna Nurzaman's Homepage  Reply with Quote
I see. Thanks again! :)

VOODOO LIVES FOREVAH!!

Delenn is the hottest sci-fi character ever.

The Galactic Empire vs the Borg vs the Goa'ulds vs the A'millans vs the Trollish Imperium vs the Ancient Guardians
The Phoenix War


Never buy a LiteOn CD Writer. Ever.
Go to Top of Page
  Previous Topic Topic Next Topic  
 New Topic  Reply to Topic
 Print topic
Jump To:

 

Forum Rules

Legal Info

Privacy

Contact Us

3dfxzone.it

HWSetup.it

ForumZone.it

 

All trademarks used are properties of their respective owners - Forum Graphics and Contents 2001 - 2014 3dfxzone.it - Forum Engine Snitz Forums